Package ghidra.program.model.pcode

# Class HighParam

java.lang.Object
ghidra.program.model.pcode.HighVariable
ghidra.program.model.pcode.HighLocal
ghidra.program.model.pcode.HighParam

public class HighParam extends HighLocal
High-level function parameter

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.pcode.HighVariable

  `function, instances, name, offset, represent, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HighParam(DataType tp, Varnode rep, Address pc, int slot, HighSymbol sym)`
  `HighParam(HighFunction high)`
  Constructor for use with restoreXml

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decode(Decoder decoder)`
  Decode this HighVariable from a `<high>` element in the stream
  `int`
  `getSlot()`

  ### Methods inherited from class ghidra.program.model.pcode.HighLocal

  `getPCAddress, getSymbol`

  ### Methods inherited from class ghidra.program.model.pcode.HighVariable

  `attachInstances, decodeInstances, getDataType, getHighFunction, getInstances, getName, getOffset, getRepresentative, getSize, requiresDynamicStorage, setHighOnInstances`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HighParam

    public HighParam(HighFunction high)
    Constructor for use with restoreXml
    Parameters:
      `high` - is the HighFunction containing this parameter

  - ### HighParam

    public HighParam(DataType tp, Varnode rep, Address pc, int slot, HighSymbol sym)
    Parameters:
      `tp` - data type of variable
      `rep` - is the representative input Varnode
      `pc` - null or Address of PcodeOp which defines the representative
      `slot` - parameter index starting at 0
      `sym` - associated symbol

- ## Method Details

  - ### getSlot

    public int getSlot()
    Returns:
      get the slot or parameter index

  - ### decode

    public void decode(Decoder decoder) throws DecoderException
    Description copied from class: `HighVariable`
    Decode this HighVariable from a `<high>` element in the stream
    Overrides:
      `decode` in class `HighLocal`
    Parameters:
      `decoder` - is the stream decoder
    Throws:
      `DecoderException` - for invalid encodings